Inspection
v1.0.0
Create an inspection booking
Request
Request Body
Content-Type: application/json
| Field | Type | Required | Description |
|---|---|---|---|
| userId | string | Yes | QIMA client user id |
| serviceDate | string | Yes | Planed inspection date, format should be in dd-MMM-yyyy |
| shipDate | string | Yes | Planed shipment date, format should be in dd-MMM-yyyy |
| serviceType | string | Yes | QIMA inspection service type, mandatory if previousOrderNumber not provided. Here is the mapping, 1: PSI (Pre-Shipment Inspection), 2: IPC (Initial Production Check), 3: DUPRO (During Production Inspection) , 4: CLC (Container Loading Check), 6: PM (Production Monitoring), 8: SR (Sample Review), 21: SC (Sample Collection) Enum: "1", "2", "3", "4", "6", "7", "8", "21" |
| bookingType | string | Yes | QIMA inspection type |
| previousOrderNumber | string | No | Previous QIMA inspection reference R-Cloud number, must provide a valid R-Cloud number if it's re-inspection, example value: R-Cloud-xxxx |
| referenceNumber | string | No | Client reference number |
| supplierId | string | No | QIMA supplier id |
| supplierCode | string | No | Supplier's identification code in client's system, mandatory when supplier name, city id, contact not provided, and must be a valid code |
| supplierName | string | No | Mandatory when supplier code is not provided |
| supplierContactName | string | No | Mandatory when supplier code is not provided |
| supplierContactPhone | string | No | Mandatory when supplier code is not provided |
| supplierContactEmail | string | No | Mandatory when supplier code is not provided |
| supplierContinentID | string | No | Supplier's continent id in QIMA's system, refer to /parameter/v2/continents. Mandatory when supplier code is not provided |
| supplierCountryID | string | No | Supplier's country id in QIMA's system, refer to /parameter/v2/countries, /parameter/v2/countries or /parameter/v2/continent/{continentId}/countries. Mandatory when supplier code is not provided |
| supplierProvinceID | string | No | Supplier's Province id in QIMA's system, refer to /parameter/v2/country/{countryId}/provinces. Mandatory when supplier code is not provided |
| supplierCityID | string | No | Supplier's city id in QIMA's system, refer to /parameter/v2/country/{countryId}/searchCities, /parameter/v2/province/{provinceId}/searchCities or /parameter/v2/country/{countryId}/cities. Mandatory when supplier code is not provided |
| supplierAddress | string | No | Mandatory when supplier code is not provided |
| supplierProductLines | array | No | Mandatory when supplier code is not provided, get product line from /parameter/v2/product-families API |
| supplierAlternateContactName | string | No | Supplier's alternative contact name |
| supplierAlternateContactPhone | string | No | Supplier's alternative contact telephone |
| supplierAlternateContactEmail | string | No | Supplier's alternative contact email |
| factoryCode | string | No | Factory's identification code in client's system, mandatory when auto confirm factory is needed and factory other info are not provided |
| factoryName | string | No | Mandatory when auto confirm factory is needed and factory code is not provided |
| factoryContactName | string | No | Mandatory when auto confirm factory is needed and factory code is not provided |
| factoryContactPhone | string | No | Mandatory when auto confirm factory is needed and factory code is not provided |
| factoryContactEmail | string | No | Mandatory when auto confirm factory is needed and factory code is not provided |
| factoryContinentID | string | No | Factory's continent id in QIMA's system, refer to /parameter/v2/continents. Mandatory when auto confirm factory is needed and factory code is not provided |
| factoryCountryID | string | No | Factory's country id in QIMA's system, refer to /parameter/v2/countries. Mandatory when auto confirm factory is needed and factory code is not provided |
| factoryProvinceID | string | No | Factory's province id in QIMA's system, refer to /parameter/v2/country/{countryId}/provinces. Mandatory when auto confirm factory is needed and factory code is not provided |
| factoryCityID | string | No | Factory's city id in QIMA's system, refer to /parameter/v2/country/{countryId}/searchCities. Mandatory when auto confirm factory is needed and factory code is not provided |
| factoryAddress | string | No | Mandatory when auto confirm factory is needed and factory code is not provided |
| factoryPostCode | string | No | Mandatory when auto confirm factory is needed and factory code is not provided |
| factoryProductLines | array | No | Mandatory when auto confirm factory is needed and factory code is not provided, get product line from /parameter/v2/product-families API |
| factoryAlternateContactName | string | No | Name of the alternative factory contact |
| factoryAlternateContactPhone | string | No | Telephone of the alternative factory contact |
| factoryAlternateContactEmail | string | No | Email of the alternative factory contact |
| products | array | Yes | |
| products[].name | string | No | Name of the inspection product |
| products[].categoryId | string | No | Product category id, refer to /parameter/v2/product-categories |
| products[].familyId | string | No | Product family id, refer to /parameter/v2/product-families |
| products[].typeId | string | No | Product type id, refer to /parameter/v2/product-types |
| products[].prodReference | string | No | Product level product reference, please leave this empty when multi-reference booking is enabled in account level |
| products[].prodDivision | string | No | Division name that this product belongs to in client's company |
| products[].poNumber | string | No | Product level PO number, please leave this empty when multi-reference booking is enabled in account level and fill po number under refs |
| products[].prodQuantity | integer | No | Product level product quantity, please leave this empty when multi-reference booking is enabled in account level and fill product quantity under refs |
| products[].expectedFinishedPct | integer | No | Percentage of the expected production finished productions for inspection |
| products[].expectedPackedPct | integer | No | Percentage of the expected packed production for inspection |
| products[].unitPacking | string | No | Optional field in the product level to define unit packing comments |
| products[].outerPacking | string | No | Optional field in the product level to define outer packing comments |
| products[].sampleReferenceClientComments | string | No | Optional field in the product level to define sample comments |
| products[].customField1 | string | No | Product level custom field 1 depends on use case |
| products[].customField2 | string | No | Product level custom field 2 depends on use case |
| products[].customField3 | string | No | Product level custom field 3 depends on use case |
| products[].refs | array | No | Product reference level info, used when multi-reference booking is enabled in account level |
| products[].refs[].poNumber | string | No | Reference level PO number, fill this when multi-reference booking is enabled in account level |
| products[].refs[].skuCode | string | No | Reference level SKU code, fill this when multi-reference booking is enabled in account level |
| products[].refs[].qty | integer | Yes | Reference level product quantity, fill this when multi-reference booking is enabled in account level |
| products[].refs[].brand | string | No | Reference level brand name, fill this when multi-reference booking is enabled in account level |
| products[].refs[].customField1 | string | No | Product level custom field 1 depends on use case |
| products[].refs[].customField2 | string | No | Product level custom field 2 depends on use case |
| products[].refs[].customField3 | string | No | Product level custom field 3 depends on use case |
| products[].refs[].customField4 | string | No | Product level custom field 4 depends on use case |
| products[].refs[].customField5 | string | No | Product level custom field 5 depends on use case |
| products[].refs[].customField6 | string | No | Product level custom field 6 depends on use case |
| products[].refs[].customField7 | string | No | Product level custom field 7 depends on use case |
| products[].refs[].customField8 | string | No | Product level custom field 8 depends on use case |
| products[].refs[].customField9 | string | No | Product level custom field 9 depends on use case |
| products[].refs[].customField10 | string | No | Product level custom field 10 depends on use case |
| products[].refs[].customField11 | string | No | Product level custom field 11 depends on use case |
| products[].refs[].customField12 | string | No | Product level custom field 12 depends on use case |
| products[].checkList | object | No | |
| products[].checkList.prodSampleLevel | string | No | Product sample level |
| products[].checkList.prodSampleSize | integer | No | Product sample size |
| products[].checkList.aqlCritical | string | No | Allowed AQL in critical level |
| products[].checkList.aqlMajor | string | No | Allowed AQL in major level |
| products[].checkList.aqlMinor | string | No | Allowed AQL in minor level |
| products[].checkList.prodMeasurementSampleSize | integer | No | Product measurement sample size |
| products[].checkList.prodMeasurementSampleLevel | string | No | Product measurement sample level |
| customField1 | string | No | Order level custom field 1 depends on use case |
| customField2 | string | No | Order level custom field w depends on use case |
| customField3 | string | No | Order level custom field 3 depends on use case |
| performInQimaone | integer | No | Inspection perform platform type, 0: Within QSP, 1: In QIMAone from QSP, 2: In QIMAone from QIMAone |
Responses
200
Inspection booking created successfully. Returns the booking confirmation details.
Content-Type: application/json
draft
object| Field | Type | Description |
|---|---|---|
| draftId | string | Id of the booking draft |
| isAnOrderNotADraft | boolean | Indicate is this booking is in editing status. Draft means the booking is being edited. |
| draftSteps | array | Can be ignored |
| draftSteps[].current | boolean | |
| draftSteps[].done | boolean | |
| draftSteps[].label | string | |
| draftSteps[].visited | boolean |
orderGeneralInfo
object| Field | Type | Description |
|---|---|---|
| orderId | string | Order id, primary key of the inspection order |
| orderPlacer | string | The username of account who placed the booking |
| status | string | Order status value of the booking, mapping between value and text are 5=DRAFT, 20=WAITING_FOR_VALIDATION, 21=WAITING_FOR_MORE_INF, 25=WAITING_FOR_FEEDBACK, 30=WAITING_FOR_ALLOCATION, 40=WAITING_FOR_INSPECTION, 50=WAITING_FOR_REPORT_VALIDATION, 60=FINISHED, 70=CANCELLED, 80=SERVICE_CUT |
| statusText | string | Order status text of the booking |
| serviceType | string | QIMA inspection service type value 1: PSI (Pre-Shipment Inspection), 2: IPC (Initial Production Check), 3: DUPRO (During Production Inspection) , 4: CLC (Container Loading Check), 6: PM (Production Monitoring), 8: SR (Sample Review), 21: SC (Sample Collection) |
| serviceTypeText | string | QIMA inspection service type text |
| bookingDate | string | Date of the inspection booking is placed, in format dd-MMM-yyyy |
| bookingDateUnixTimestamp | integer | Date of the inspection booking is placed in unix timestamp |
| orderNumber | string | QIMA booking order number, like R-Cloud-xx |
| companyId | string | Company id in QIMA system |
| userId | string | QIMA client user id |
| parentCompanyId | string | Parent company id in QIMA system |
| allowChangeInspectionDate | boolean | Indicate if in this order is supplier is allowed to change inspection date |
| supplierValidateCode | string | Code for supplier to fill when confirming inspection date and location via link in confirmation email |
| clientRefNb | string | Reference number client can use for referencing with QIMA's inspection booking |
| expectedInspectionDate | string | Original expected inspection date from client, in dd-MMM-yyyy format |
| expectedInspectionDateUnixTimestamp | integer | Original expected inspection date from client, in unix timestamp format |
| actualInspectionDate | string | Actual inspection date confirmed with factory, in dd-MMM-yyyy format |
| actualInspectionDateUnixTimestamp | integer | Actual inspection date confirmed with factory, in unix timestamp format |
| expectedShipDate | string | Original expected shipment date from client, in dd-MMM-yyyy format |
| expectedShipDateUnixTimestamp | integer | Original expected shipment date from client, in unix timestamp format |
| bookFromPreOrder | string | Previous inspection booking id, need to provide when place re-inspection |
| copyAllMailTo | array | Email addresses that all email related to order and reports will be copied to |
| copyReportMailTo | array | Email addresses that all report related to order and reports will be copied to |
| inspectionMethod | object | |
| inspectionMethod.id | string | Id of this system parameter |
| inspectionMethod.classification | string | Type of this system parameter |
| inspectionMethod.key | string | Key name of this system parameter |
| inspectionMethod.value | string | Value name of this system parameter |
| inspectionMethod.text | string | Displaying name of this system parameter |
| inspectionMethod.description | string | Displaying description of this system parameter |
| inspectionMethod.createTime | string | Creation time of this system parameter |
| inspectionMethod.updateTime | string | Update time of this system parameter |
| inspectionMethod.sequence | integer | Sequence of this system parameter when under same classification |
| container20 | integer | Number of containers (20 inches) - for Container Loading Check (CLC) only |
| container40 | integer | Number of containers (40 inches) - for Container Loading Check (CLC) only |
| container40HQ | integer | Number of containers (60 inches) - for Container Loading Check (CLC) only |
| customField1 | string | Custom field 1 depends on use case |
| customField2 | string | Custom field 2 depends on use case |
| customField3 | string | Custom field 3 depends on use case |
| performInQimaone | integer | Inspection perform platform type, 0: Within QSP, 1: In QIMAone from QSP, 2: In QIMAone from QIMAone |
| lcnumber | string | |
| confirmed | boolean | |
| icneeded | boolean | |
| lcappName | string | |
| lcappAddress | string | |
| lcbeneName | string | |
| lcbeneAddress | string |
orderExtra
object| Field | Type | Description |
|---|---|---|
| orderId | string | Order id, primary key of the inspection order |
| cancelable | boolean | Indicate currently if this booking can be cancelled |
| editable | boolean | Indicate currently if this booking can be modified |
| isReInspection | boolean | Indicate if this inspection is re-inspection |
| followUp | boolean | Indicate if audit is a follow-up audit, when this booking is an audit booking |
| originalNbReinsp | string | The original order number if this booking is an re-inspection |
| reInspectionInstruction | string | The original order number if this booking is an re-inspection |
| nbOfInspectors | integer | Inspectors count assigned to this inspection |
| prevOrderType | string | Previous service type |
| prevOrderStatus | string | Previous order status |
| prevServiceDate | string | Previous service date |
| prevServiceDateText | string | Previous service date, the value could be "Confidential", date, or a time window. |
| multiSupplierOrder | boolean | |
| quickBooking | boolean |
orderFactory
object| Field | Type | Description |
|---|---|---|
| id | string | Id of the factory in this booking |
| factoryId | string | Id of the factory in client's account |
| factoryCode | string | Factory's identification code in client's system |
| factoryName | string | Name of the factory |
| factoryNameCN | string | Chinese name of the factory |
| factoryMGRName | string | Name of the factory contact |
| factoryMGRMobile | string | Mobile phone number of the factory contact |
| factoryMGRNumber | string | Telephone phone number of the factory contact |
| factoryMGREmail | array | Emails of the the factory contact |
| factoryOtherMobile | string | Mobile phone of the alternative factory contact |
| factoryOtherName | string | Name of the alternative factory contact |
| factoryOtherNumber | string | Telephone number of the alternative factory contact |
| factoryOtherEmail | array | Emails of the the alternative factory contact |
| factoryAddress | string | Address of the factory |
| factoryCity | string | City of the factory |
| factoryProvince | string | Province of the factory |
| factoryCountry | string | Country of the factory |
| factoryContinent | string | Continent of the factory |
| factoryPostCode | string | Post code of the factory |
| factoryProductLines | array | Product lines of the factory |
| nbOfWorkers | integer | Number of the workers in the factory |
| isMutiLocation | boolean | Indicate if this inspection needs to be done in multiple factories |
| ext1 | string | Customer fields 1 of the factory info in this booking |
| ext2 | string | Customer fields 2 of the factory info in this booking |
| ext3 | string | Customer fields 3 of the factory info in this booking |
| factoryCityId | string | City id of the factory in QIMA system |
orderSupplier
object| Field | Type | Description |
|---|---|---|
| orderId | string | Id of the order |
| id | string | Id of the supplier in this booking |
| supplierCode | string | Supplier's identification code in client's system |
| supplierName | string | Name of the supplier |
| supplierNameCN | string | Chinese name of the factory |
| supplierMGRName | string | Name of the factory contact |
| supplierMGRMobile | string | Mobile phone number of the factory contact |
| supplierMGRNumber | string | Telephone phone number of the factory contact |
| supplierMGREmail | array | Emails of the the factory contact |
| supplierOtherName | string | Name of the alternative factory contact |
| supplierOtherMobile | string | Mobile phone of the alternative factory contact |
| supplierOtherNumber | string | Telephone number of the alternative factory contact |
| supplierOtherEmail | array | Emails of the the alternative factory contact |
| supplierAddress | string | Address of the factory |
| supplierCity | string | City of the factory |
| supplierPostCode | string | Post code of the factory |
| supplierCountry | string | Country of the factory |
| supplierContinentID | string | Continent id of the factory in QIMA system |
| supplierProductLines | array | Product lines of the factory |
| supplierId | string | Id of the supplier in client's account |
| ext1 | string | Customer fields 1 of the factory info in this booking |
| ext2 | string | Customer fields 2 of the factory info in this booking |
| ext3 | string | Customer fields 3 of the factory info in this booking |
| isActive | string | Indicate if this supplier still can be selected for service |
multiOrderSuppliers
array<object>| Field | Type | Description |
|---|
multiOrderFactories
array<object>| Field | Type | Description |
|---|
products
array<object>| Field | Type | Description |
|---|---|---|
| draftProductId | string | Id of the product id in this booking booking draft |
| draftId | string | Id of the inspection booking draft |
| productBean | object | |
| productBean.orderId | string | Order id of this product in this booking |
| productBean.productId | string | Id of this product |
| productBean.seq | integer | Sequence of this product |
| productBean.maxPcsPerMD | integer | |
| productBean.maxRefPerMD | integer | |
| productBean.maxPtsPerMD | integer | |
| productBean.nbOfRefInReport | integer | |
| productBean.prodCategoryClient | string | Product category selected by client while booking |
| productBean.prodFamilyClient | string | Product family selected by client while booking |
| productBean.prodType | string | Product type decided by client while booking |
| productBean.isReinspection | string | If this inspection is an re-inspection |
| productBean.preInspection | string | TODO |
| productBean.preInspectionDate | string | TODO |
| productBean.preInspectionDateUnitTimeStamp | integer | TODO |
| productBean.reinspectionComment | string | Comment for inspection |
| productBean.prodName | string | Product name |
| productBean.prodDivision | string | Division name that this product belongs to in client's company |
| productBean.prodReference | string | Product reference, like sku number |
| productBean.prodQuantity | integer | Product quantity, numbers only |
| productBean.prodQuantityUnit | string | Unit name of the product quantity, like pcs, sets |
| productBean.otherUnit | string | Unit name of the product quantity if it's not pcs, sets, like pcs |
| productBean.nbOfPcsPerSets | integer | How many pcs per set |
| productBean.nbOfPtsPerSets | integer | How many pcs per set |
| productBean.poNumber | string | PO number |
| productBean.prodApparelCategory | string | Category name when this product belongs to apparel |
| productBean.numberOfReferences | integer | How many reference in this product |
| productBean.bookingtype | string | QIMA inspection type |
| productBean.expectedFinishedPct | integer | Percentage of the expected production finished productions for inspection |
| productBean.expectedPackedPct | integer | Percentage of the expected packed production for inspection |
| productBean.setsDescription | string | TODO |
| productBean.customField1 | string | Product level custom field 1 depends on use case |
| productBean.customField2 | string | Product level custom field 2 depends on use case |
| productBean.customField3 | string | Product level custom field 3 depends on use case |
| productBean.productRefs | array | |
| productBean.productRefs[].id | string | Product reference id |
| productBean.productRefs[].productId | string | Product id of this product reference belongs to |
| productBean.productRefs[].brand | string | Brand name |
| productBean.productRefs[].prodRefSeq | string | Sequence of this product reference |
| productBean.productRefs[].prodRefPoNb | string | Product reference number |
| productBean.productRefs[].prodRefSkuNb | string | Product reference sku number |
| productBean.productRefs[].prodRefQuantity | integer | Quantity of this product reference |
| productBean.productRefs[].supplierId | string | Supplier id of this product reference belongs to, if there is more than 1 supplier in this booking |
| productBean.productRefs[].supplierName | string | Supplier name of this product reference belongs to, if there is more than 1 supplier in this booking |
| productBean.productRefs[].customField1 | string | Product reference level custom field 1 depends on use case |
| productBean.productRefs[].customField2 | string | Product reference level custom field 2 depends on use case |
| productBean.productRefs[].customField3 | string | Product reference level custom field 3 depends on use case |
| productBean.productRefs[].customField4 | string | Product reference level custom field 4 depends on use case |
| productBean.productRefs[].customField5 | string | Product reference level custom field 5 depends on use case |
| productBean.productRefs[].customField6 | string | Product reference level custom field 6 depends on use case |
| productBean.productRefs[].customField7 | string | Product reference level custom field 7 depends on use case |
| productBean.productRefs[].customField8 | string | Product reference level custom field 8 depends on use case |
| productBean.productRefs[].customField9 | string | Product reference level custom field 9 depends on use case |
| productBean.productRefs[].customField10 | string | Product reference level custom field 10 depends on use case |
| productBean.productRefs[].customField11 | string | Product reference level custom field 11 depends on use case |
| productBean.productRefs[].customField12 | string | Product reference level custom field 12 depends on use case |
| productChecklistBean | object | |
| productChecklistBean.productId | string | Id of this product |
| productChecklistBean.checklistFrom | string | |
| productChecklistBean.clientChecklistId | string | |
| productChecklistBean.checklistNumber | string | |
| productChecklistBean.clientComments | string | Client's comment on this checklist |
| productChecklistBean.prodSampleLevel | string | Product sample level |
| productChecklistBean.prodMeasurementSampleLevel | string | |
| productChecklistBean.aqlTypel | string | AQL type, can be customized or standard |
| productChecklistBean.aqlCritical | string | Allowed AQL in critical level |
| productChecklistBean.aqlMajor | string | Allowed AQL in major level |
| productChecklistBean.aqlMinor | string | Allowed AQL in minor level |
| productChecklistBean.prodSampleSize | integer | Product sample size |
| productChecklistBean.prodMeasurementSampleSize | integer | Product measurement sample size |
| productChecklistBean.prodMd | number | |
| productChecklistBean.measurementAQL | string | |
| productChecklistBean.fabricSampleLevel | string | |
| productChecklistBean.fabricMaxPenalty | integer | |
| productChecklistBean.fabricMaxAverage | integer | |
| productChecklistBean.fabricMaxPenaltyUnit | string | |
| productChecklistBean.fabricMaxAverageUnit | string | |
| productChecklistBean.performClientTestsOnly | string | |
| productChecklistBean.performClientTestsOnlyBoolean | boolean | |
| productChecklistBean.defectList | array | |
| productChecklistBean.defectList[].id | string | |
| productChecklistBean.defectList[].productId | string | |
| productChecklistBean.defectList[].defectId | string | |
| productChecklistBean.defectList[].publicDefectId | string | |
| productChecklistBean.defectList[].isPublic | boolean | |
| productChecklistBean.defectList[].selectedBy | integer | |
| productChecklistBean.defectList[].defectName | string | |
| productChecklistBean.defectList[].expectedDefect | string | |
| productChecklistBean.defectList[].classification | string | |
| productChecklistBean.defectList[].fileId | string | |
| productChecklistBean.defectList[].fileName | string | |
| productChecklistBean.defectList[].originDefectId | string | |
| productChecklistBean.testList | array | |
| productChecklistBean.testList[].id | string | |
| productChecklistBean.testList[].productId | string | |
| productChecklistBean.testList[].testId | string | |
| productChecklistBean.testList[].publicTestId | string | |
| productChecklistBean.testList[].isPublic | boolean | |
| productChecklistBean.testList[].selectedBy | integer | |
| productChecklistBean.testList[].testName | string | |
| productChecklistBean.testList[].instructionTest | string | |
| productChecklistBean.testList[].expectedResult | string | |
| productChecklistBean.testList[].sampleLevel | string | |
| productChecklistBean.testList[].sampleSize | string | |
| productChecklistBean.testList[].fileId | string | |
| productChecklistBean.testList[].fileName | string | |
| productChecklistBean.testList[].originTestId | string | |
| productChecklistBean.bookingType | string | Booking type in product level |
| productChecklistBean.prodQuantity | number | Product level product quantity |
| productChecklistBean.prodQuantityUnit | string | Unit name of the product quantity, like pcs, sets |
| productChecklistBean.otherUnit | string | |
| productChecklistBean.productAqlList | array | |
| productChecklistBean.productAqlList[].createTime | string | |
| productChecklistBean.productAqlList[].updateTime | string | |
| productChecklistBean.productAqlList[].createBy | string | |
| productChecklistBean.productAqlList[].updateBy | string | |
| productChecklistBean.productAqlList[].accessTime | string | |
| productChecklistBean.productAqlList[].params | object | |
| productChecklistBean.productAqlList[].id | string | |
| productChecklistBean.productAqlList[].productId | string | |
| productChecklistBean.productAqlList[].productReferenceId | string | |
| productChecklistBean.productAqlList[].prodSampleLevel | string | |
| productChecklistBean.productAqlList[].prodMeasurementSampleLevel | string | |
| productChecklistBean.productAqlList[].aqlType | string | |
| productChecklistBean.productAqlList[].aqlCritical | string | |
| productChecklistBean.productAqlList[].aqlCriticalText | string | |
| productChecklistBean.productAqlList[].aqlMajor | string | |
| productChecklistBean.productAqlList[].aqlMajorText | string | |
| productChecklistBean.productAqlList[].aqlMinor | string | |
| productChecklistBean.productAqlList[].aqlMinorText | string | |
| productChecklistBean.productAqlList[].prodSampleSize | integer | |
| productChecklistBean.productAqlList[].prodMeasurementSampleSize | integer | |
| productChecklistBean.productAqlList[].prodMd | number | |
| productChecklistBean.productAqlList[].measurementAQL | string | |
| productChecklistBean.productAqlList[].measurementAqlText | string | |
| productChecklistBean.productAqlList[].fabricSampleLevel | string | |
| productChecklistBean.productAqlList[].fabricMaxPenalty | integer | |
| productChecklistBean.productAqlList[].fabricMaxAverage | integer | |
| productChecklistBean.productAqlList[].fabricMaxPenaltyUnit | string | |
| productChecklistBean.productAqlList[].fabricMaxAverageUnit | string | |
| productChecklistBean.productAqlList[].performClientTestsOnly | string | |
| productChecklistBean.productAqlList[].criticalFound | integer | |
| productChecklistBean.productAqlList[].majorFound | integer | |
| productChecklistBean.productAqlList[].minorFound | integer | |
| productChecklistBean.productAqlList[].criticalChecked | integer | |
| productChecklistBean.productAqlList[].majorChecked | integer | |
| productChecklistBean.productAqlList[].minorChecked | integer | |
| productChecklistBean.productAqlList[].criticalMax | integer | |
| productChecklistBean.productAqlList[].majorMax | integer | |
| productChecklistBean.productAqlList[].minorMax | integer | |
| productChecklistBean.productAqlList[].criticalAllowedDefectFrom | integer | |
| productChecklistBean.productAqlList[].criticalAllowedDefectTo | integer | |
| productChecklistBean.productAqlList[].majorAllowedDefectFrom | integer | |
| productChecklistBean.productAqlList[].majorAllowedDefectTo | integer | |
| productChecklistBean.productAqlList[].minorAllowedDefectFrom | integer | |
| productChecklistBean.productAqlList[].minorAllowedDefectTo | integer | |
| productChecklistBean.productAqlList[].inspResult | string | |
| productChecklistBean.productAqlList[].defectDescFound | string | |
| productChecklistBean.productAqlList[].comments | string | |
| productChecklistBean.productAqlList[].seq | integer | |
| productChecklistBean.productAqlList[].bookingType | string | |
| productChecklistBean.productAqlList[].prodQuantity | number | |
| productChecklistBean.productAqlList[].prodQuantityUnit | string | |
| productChecklistBean.productAqlList[].otherUnit | string | |
| productChecklistBean.productAqlList[].measurementFound | integer | |
| productChecklistBean.productAqlList[].measurementMax | integer | |
| productChecklistBean.productAqlList[].measurementChecked | integer | |
| productChecklistBean.productAqlList[].customizedAql | string | |
| productChecklistBean.productAqlList[].customizedAqlText | string | |
| productChecklistBean.productAqlList[].customizedAqlAllowedDefectFrom | integer | |
| productChecklistBean.productAqlList[].customizedAqlAllowedDefectTo | integer | |
| productChecklistBean.productAqlList[].customizedAqlFound | integer | |
| productChecklistBean.productAqlList[].customizedAqlMax | integer | |
| productChecklistBean.productAqlList[].customizedAqlChecked | integer | |
| productChecklistBean.productAqlList[].aqlFlag | integer | |
| productChecklistBean.customizedAql | string | |
| productChecklistBean.customizedAqlText | string | |
| sampleCollection | object | |
| sampleCollection.id | string | |
| sampleCollection.productId | string | |
| sampleCollection.collectSample | integer | |
| sampleCollection.sampleNb | integer | |
| sampleCollection.sampleUnit | string | |
| sampleCollection.sampleBy | integer | |
| sampleCollection.collectMethod | integer | |
| sampleCollection.courier | string | |
| sampleCollection.trackNb | string | |
| sampleCollection.address | string | |
| sampleCollection.postcode | string | |
| sampleCollection.clientComments | string | |
| sampleCollection.collectLtSample | integer | |
| sampleCollection.ltSampleNb | integer | |
| sampleCollection.ltClientComments | string | |
| sampleCollection.ltSampleRefNb | string | |
| sampleCollection.clientAccountNumber | string | |
| sampleCollection.productName | string | |
| sampleReference | object | |
| sampleReference.id | string | |
| sampleReference.reference | integer | |
| sampleReference.courier | string | |
| sampleReference.trackNb | string | |
| sampleReference.clientComments | string | |
| sampleReference.productId | string | |
| productSpec | object | |
| productSpec.productId | string | |
| productSpec.nbOfPoints | integer | |
| productSpec.logoDes | string | |
| productSpec.performDropTest | boolean | |
| productSpec.unitPacking | string | |
| productSpec.innerPacking | string | |
| productSpec.outerPacking | string | |
| productSpec.packingComments | string | |
| productSpec.shippingMarks | string | |
| productSpec.nbOfRawMaterials | integer | |
| productSpec.rawMaterialsDes | string | |
| productSpec.clcNbOfPallets | integer | |
| productSpec.clcNbOfCartons | integer | |
| productSpec.clcNbOfPcsPerCarton | integer | |
| productSpec.clcNumberingFrom | string | |
| productSpec.clcNumberingTo | string | |
| productSpec.additionalComment | string | |
| productSpec.productColors | array | |
| productSpec.productColors[].id | string | Id of product color |
| productSpec.productColors[].productId | string | Id of this product |
| productSpec.productColors[].seq | integer | Sequence of product color |
| productSpec.productColors[].colorDes | string | Product color |
| productSpec.productTextileColors | array | |
| productSpec.productTextileColors[].id | string | |
| productSpec.productTextileColors[].productId | string | |
| productSpec.productTextileColors[].seq | integer | |
| productSpec.productTextileColors[].colorRef | string | |
| productSpec.productTextileColors[].colorCode | string | |
| productSpec.productTextileColors[].colorQuantity | string | |
| productSpec.productDimensions | array | |
| productSpec.productDimensions[].productId | string | Id of this product |
| productSpec.productDimensions[].id | string | Id of this product dimension |
| productSpec.productDimensions[].seq | integer | Sequence of this product dimension |
| productSpec.productDimensions[].dimensionDes | string | Product dimension |
| completed | boolean |
{
"message": null,
"content": {
"draft": {
"draftId": "472DA71121044FA29749B8FA2F0E7BBB",
"isAnOrderNotADraft": true,
"draftSteps": null
},
"orderGeneralInfo": {
"orderId": "258D31EB7071476E88619BBD4D1FB4BC",
"orderPlacer": "apiuser001",
"status": "20",
"statusText": "WAITING_FOR_VALIDATION",
"serviceType": "1",
"serviceTypeText": "PSI",
"bookingDate": "02-Jul-2026",
"orderNumber": "Q2600368330-PP",
"companyId": "23EC09AB0F3C46BBA4F79718DCED16D0",
"userId": "4C6E94072DFC4918B60752F701DE544A",
"clientRefNb": "2107-0-045691",
"confirmed": false
},
"orderFactory": {
"factoryId": "22904F91A04A41E09EABD465E165152F",
"factoryCode": "SF-99-i56",
"factoryName": "Sample Factory Co."
},
"orderSupplier": {
"orderId": "258D31EB7071476E88619BBD4D1FB4BC",
"supplierCode": "SF-TL90",
"supplierName": "Sample Supplier Co.",
"supplierId": "9CB3F02222CA46FC8791D790D5422582"
},
"products": [
{
"productBean": {
"orderId": "258D31EB7071476E88619BBD4D1FB4BC",
"productId": "86830F5AAA7445DB9A208D05F09A19CB",
"prodName": "Dumbbell Kaytan 2kg",
"prodQuantity": 4260,
"poNumber": "6111"
},
"completed": false
}
]
}
}202
Order created but factory not confirmed
Content-Type: application/json
400
Request validation failed. The response body identifies the specific invalid field(s).
Content-Type: application/json
409
Duplicate booking request found and this request is ignored.
Content-Type: application/json
500
An internal error occurred while creating the booking. An error message is returned.
Content-Type: application/json
{
"message": "supplier info is not found by supplierCode [SF-TL90]",
"content": null
}POST
/v1.0/inspectionRequest samples
application/json
{
"userId": "7CCBF38CD28F46C584CF530EE28F9AEF",
"serviceDate": "19-Dec-2022",
"shipDate": "20-Dec-2022",
"serviceType": "1",
"bookingType": "General, Textile, Fabric",
"previousOrderNumber": "string",
"referenceNumber": "Client own reference number",
"supplierId": "string",
"supplierCode": "string",
"supplierName": "string",
"supplierContactName": "string",
"supplierContactPhone": "string",
"supplierContactEmail": "string",
"supplierContinentID": "string",
"supplierCountryID": "string",
"supplierProvinceID": "string",
"supplierCityID": "string",
"supplierAddress": "string",
"supplierProductLines": [
"bigCat1_s2",
"bigCat1_s3"
],
"supplierAlternateContactName": "string",
"supplierAlternateContactPhone": "string",
"supplierAlternateContactEmail": "string",
"factoryCode": "string",
"factoryName": "string",
"factoryContactName": "string",
"factoryContactPhone": "string",
"factoryContactEmail": "string",
"factoryContinentID": "string",
"factoryCountryID": "string",
"factoryProvinceID": "string",
"factoryCityID": "string",
"factoryAddress": "string",
"factoryPostCode": "string",
"factoryProductLines": [
"bigCat1_s2",
"bigCat1_s3"
],
"factoryAlternateContactName": "string",
"factoryAlternateContactPhone": "string",
"factoryAlternateContactEmail": "string",
"products": [
{
"name": "string",
"categoryId": "string",
"familyId": "string",
"typeId": "string",
"prodReference": "string",
"prodDivision": "Womenswear",
"poNumber": "string",
"prodQuantity": 1,
"expectedFinishedPct": 90,
"expectedPackedPct": 100,
"unitPacking": "string",
"outerPacking": "string",
"sampleReferenceClientComments": "string",
"customField1": "string",
"customField2": "string",
"customField3": "string",
"refs": [
{
"poNumber": "string",
"skuCode": "string",
"qty": 1,
"brand": "string",
"customField1": "string",
"customField2": "string",
"customField3": "string",
"customField4": "string",
"customField5": "string",
"customField6": "string",
"customField7": "string",
"customField8": "string",
"customField9": "string",
"customField10": "string",
"customField11": "string",
"customField12": "string"
}
],
"checkList": {
"prodSampleLevel": "I, II",
"prodSampleSize": 125,
"aqlCritical": "0",
"aqlMajor": "1",
"aqlMinor": "3",
"prodMeasurementSampleSize": 20,
"prodMeasurementSampleLevel": "S3"
}
}
],
"customField1": "string",
"customField2": "string",
"customField3": "string",
"performInQimaone": 0
}
Response samples
application/json
{
"message": null,
"content": {
"draft": {
"draftId": "472DA71121044FA29749B8FA2F0E7BBB",
"isAnOrderNotADraft": true,
"draftSteps": null
},
"orderGeneralInfo": {
"orderId": "258D31EB7071476E88619BBD4D1FB4BC",
"orderPlacer": "apiuser001",
"status": "20",
"statusText": "WAITING_FOR_VALIDATION",
"serviceType": "1",
"serviceTypeText": "PSI",
"bookingDate": "02-Jul-2026",
"orderNumber": "Q2600368330-PP",
"companyId": "23EC09AB0F3C46BBA4F79718DCED16D0",
"userId": "4C6E94072DFC4918B60752F701DE544A",
"clientRefNb": "2107-0-045691",
"confirmed": false
},
"orderFactory": {
"factoryId": "22904F91A04A41E09EABD465E165152F",
"factoryCode": "SF-99-i56",
"factoryName": "Sample Factory Co."
},
"orderSupplier": {
"orderId": "258D31EB7071476E88619BBD4D1FB4BC",
"supplierCode": "SF-TL90",
"supplierName": "Sample Supplier Co.",
"supplierId": "9CB3F02222CA46FC8791D790D5422582"
},
"products": [
{
"productBean": {
"orderId": "258D31EB7071476E88619BBD4D1FB4BC",
"productId": "86830F5AAA7445DB9A208D05F09A19CB",
"prodName": "Dumbbell Kaytan 2kg",
"prodQuantity": 4260,
"poNumber": "6111"
},
"completed": false
}
]
}
}
